Audits
Delete a comment for an information request
Deletes an existing comment for an information request. Only the original author of the comment can delete it. The author is identified by their email address, which must match the email of the user who created the comment.
Rate limit: 10 requests / minute.
DELETE
/
audits
/
{auditId}
/
information-requests
/
{requestId}
/
comments
/
{commentId}
TypeScript
import { Vanta } from "vanta-auditor-api-sdk";
const vanta = new Vanta({
bearerAuth: process.env["VANTA_BEARER_AUTH"] ?? "",
});
async function run() {
await vanta.audits.deleteCommentForInformationRequest({
auditId: "<id>",
requestId: "<id>",
commentId: "<id>",
deleteInformationRequestCommentInput: {
email: "Ole.Adams@gmail.com",
},
});
}
run();package hello.world;
import com.vanta.vanta_auditor_api.Vanta;
import com.vanta.vanta_auditor_api.models.components.DeleteInformationRequestCommentInput;
import com.vanta.vanta_auditor_api.models.operations.DeleteCommentForInformationRequestResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Vanta sdk = Vanta.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
DeleteCommentForInformationRequestResponse res = sdk.audits().deleteCommentForInformationRequest()
.auditId("<id>")
.requestId("<id>")
.commentId("<id>")
.deleteInformationRequestCommentInput(DeleteInformationRequestCommentInput.builder()
.email("Ole.Adams@gmail.com")
.build())
.call();
// handle response
}
}curl --request DELETE \
--url https://api.vanta.com/v1/audits/{auditId}/information-requests/{requestId}/comments/{commentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>"
}
'import requests
url = "https://api.vanta.com/v1/audits/{auditId}/information-requests/{requestId}/comments/{commentId}"
payload = { "email": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: '<string>'})
};
fetch('https://api.vanta.com/v1/audits/{auditId}/information-requests/{requestId}/comments/{commentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Deletes an existing comment on an information request. Only the original author of the comment can delete it.
Email address of the comment author. Must match an existing Vanta user who belongs to the audit firm making the API request. This email uniquely identifies the author across systems.
Response
204
No content
Was this page helpful?
Previous
Update a comment for an information requestUpdates an existing comment for an information request. Only the original author
of the comment can update it. The author is identified by their email address,
which must match the email of the user who created the comment.
Rate limit: 10 requests / minute.
Next
⌘I
TypeScript
import { Vanta } from "vanta-auditor-api-sdk";
const vanta = new Vanta({
bearerAuth: process.env["VANTA_BEARER_AUTH"] ?? "",
});
async function run() {
await vanta.audits.deleteCommentForInformationRequest({
auditId: "<id>",
requestId: "<id>",
commentId: "<id>",
deleteInformationRequestCommentInput: {
email: "Ole.Adams@gmail.com",
},
});
}
run();package hello.world;
import com.vanta.vanta_auditor_api.Vanta;
import com.vanta.vanta_auditor_api.models.components.DeleteInformationRequestCommentInput;
import com.vanta.vanta_auditor_api.models.operations.DeleteCommentForInformationRequestResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Vanta sdk = Vanta.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
DeleteCommentForInformationRequestResponse res = sdk.audits().deleteCommentForInformationRequest()
.auditId("<id>")
.requestId("<id>")
.commentId("<id>")
.deleteInformationRequestCommentInput(DeleteInformationRequestCommentInput.builder()
.email("Ole.Adams@gmail.com")
.build())
.call();
// handle response
}
}